Page MenuHomeFreeBSD

[NEW PORT] audio/orbit-lv2: LV2 plugin bundle from Open Music Kontrollers
ClosedPublic

Authored by ultima on Aug 14 2017, 10:02 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Feb 19, 5:58 PM
Unknown Object (File)
Mon, Feb 19, 5:58 PM
Unknown Object (File)
Mon, Feb 19, 5:58 PM
Unknown Object (File)
Mon, Feb 19, 5:58 PM
Unknown Object (File)
Mon, Feb 19, 5:02 PM
Unknown Object (File)
Jan 15 2024, 9:12 PM
Unknown Object (File)
Dec 22 2023, 11:11 PM
Unknown Object (File)
Nov 11 2023, 3:30 PM
Subscribers

Details

Summary

Several LV2 plugin bundled together:

  • Beatbox Creates MIDI events based on LV2 time position events, e.g. to drive a drum machine. Bars and beats can be disabled/enabled separately.
  • Cargoship Record/Playback of arbitrary LV2 atoms to/from disk. Record all incoming atom messages with sample accuracy and play them back later from disk. Stored atom event data is part of the plugin state and is preserved across instantiations.
  • Click Synthesizes click tracks based on LV2 time position events (bars and beats). Bars and beats can be disabled/enabled separately.
  • Looper Loops arbitrary LV2 atom events on a ping-pong buffer. E.g. loops MIDI, OSC or anything else that can be packed into LV2 atoms with sample accuracy. Needs to be driven by LV2 time position events.
  • Pacemaker Creates LV2 time position events from scratch to drive other plugins.
  • Quantum Quantizes incoming events to whole beats.
  • Subspace Subdivide or multiply incoming time signals by whole fractions, e.g. to speed up time x2, x3, ... or slow it down to x1/2, x1/3, ...

WWW: https://open-music-kontrollers.ch/lv2/orbit/

PR\: 221325
Submitted by\: Yuri Victorovich (maintainer)
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
looks fine.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Aug 14 2017, 11:24 PM
This revision was automatically updated to reflect the committed changes.

Can I get approval to remove this line please?

head/audio/orbit-lv2/Makefile
19

Err sorry forgot to hit save.

This line is redundant with cmake.

Reported by: mat
Approved by: lifanov (mentor), matthew (mentor)

This revision is now accepted and ready to land.Aug 17 2017, 8:21 AM
This revision was automatically updated to reflect the committed changes.